Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Mike FABIAN <[email-masked]>
Date: Sat, 25 Sep 2021 09:35:03 +0200

Eli Zaretskii <[email-masked]> さんはかきました:

>> From: Mike FABIAN <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
>> Date: Fri, 24 Sep 2021 21:28:22 +0200
>> 
>> I could still find one sequence which doesn‘t work though:
>> 
>> 🏴‍☠ U+1F3F4 U+200D U+2620 pirate flag
>> 
>> Works in gedit (i.e. it works in pango/cairo/harfbuzz), see screenshot.
>
> Sounds like a bug in gedit: according to emoji-zwj-sequences.txt, this
> is not a complete sequence, the final U+FE0F is missing.

Ah, you are right, with the final U+FE0F it works, great!
Then I cannot find any sequence anymore which do not work except those
Robert already mentioned.

Something behaves slightly weird though when stepping with the cursor
over the following emojis:

👩🏽 🏴󠁧󠁢󠁥󠁮󠁧󠁿 🏴󠁧󠁢󠁳󠁣󠁴󠁿 🏴󠁧󠁢󠁷󠁬󠁳󠁿 🏳️‍🌈 🏳️‍⚧️ 🏴‍☠️

For the 3 British flags, 🏴󠁧󠁢󠁥󠁮󠁧󠁿 🏴󠁧󠁢󠁳󠁣󠁴󠁿 🏴󠁧󠁢󠁷󠁬󠁳󠁿, I need 7 times forward-char to step
over them (they are made from 7 code points). But for the other emoji in
that example (👩🏽 🏳️‍🌈 🏳️‍⚧️ 🏴‍☠️) I need only 1 forward-char to step over
each of them, even though they are also made from more than one code
point.

-- 
Mike FABIAN <[email-masked]>
睡眠不足はいい仕事の敵だ。